## blockattack 1.4.1+ds1

=== debian/control ===
Source: blockattack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 texlive-binaries,
 texlive-latex-base,
 libsdl-mixer1.2-dev,
 libsdl-image1.2-dev,
 libsdl1.2-dev,
 libenet-dev (>= 1.3.1),
 libphysfs-dev,
 scons
Standards-Version: 3.9.1
Homepage: http://blockattack.sf.net
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/blockattack/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/blockattack/?op=log

Package: blockattack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: puzzle game inspired by Tetris
 Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
 for the Super Nintendo. The game is pretty action packed for a puzzle game :-)
 .
 Features:
  * Based on the classic "Tetris Attack" for the SNES 
  * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
  Vs. Mode 
  * 2 two player options: Time Trial and Vs. Mode
  * Puzzle mode has 20+ puzzles
  * Players can use a custom key setup
  * Handicap in multiplayer
  * Highscores are saved 
  * Joypad support
  * Music and sound effects 
  * Animations
  * Select puzzle file from a list in the game 
 .
 System requirements:
  * Screen resolution: 1024x768 (cannot be changed, but it can run in a window)
  * Keyboard
  * Mouse (optional)
  * Processor: Decent (tested on 733 MHz)
  * Memory: at least 64 MB

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	latex debian/block_attack_manual.tex
	dvipdfm block_attack_manual.dvi
	scons prefix=/usr sharedir=/usr/share/games/blockattack

override_dh_auto_clean:
	scons -c

override_dh_auto_install:
	dh_installdirs
	find Game -type f -exec chmod 644 {} \;
	scons prefix=/usr bindir=/usr/games mandir=/usr/share/man sharedir=/usr/share/games/blockattack destdir=$(CURDIR)/debian/blockattack install

override_dh_installchangelogs:
	dh_installchangelogs changelog*

v=1.4.1
p=blockattack
sfp=$(p)/binaries+source/Block Attack $(v)

get-orig-source:
	wget -c "http://downloads.sourceforge.net/project/$(sfp)/$(p)-$(v).tar.gz"
	tar zxf $(p)-$(v).tar.gz
	# Pre-built binaries
	rm $(p)-$(v)/Game/blockattack.i386
	rm $(p)-$(v)/Game/blockattack.x86_64
	rm $(p)-$(v)/Game/blockattack_nonet.i386
	rm $(p)-$(v)/Game/blockattack_nonet.x86_64
	# Pre-built PDF
	rm $(p)-$(v)/block_attack_manual.pdf
	mv $(p)-$(v) $(p)-$(v)+ds1.orig
	tar zcf ../$(p)_$(v)+ds1.orig.tar.gz $(p)-$(v)+ds1.orig
	rm -r $(p)-$(v).tar.gz $(p)-$(v)+ds1.orig

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d*// http://sf.net/blockattack/blockattack-([\d\.]+)\.tar\.gz

## blockattack 1.4.2

=== Makefile ===
#the things that tells about the system
#PREF=/usr/local
#EXECUTEPATH=/usr/local/bin
#INST=/games/blockattack

standard:
#	@echo "Removing old files (if they exists)"
#	@rm -f source/code/*.o
#	@rm -f ./Game/blockattack
#	@rm -f ./Game/starter
#	@rm -f ./Game/runme.sh
#	@echo "Done deleting files"
	@echo "Now compiling..."
	@make -C source/code -f Makefile
	#@rm -f source/code/*.o
	@echo "Everything has been compiled!"
	
clean:
	rm -f ./source/code/build/*.o
	rm -f ./source/code/blockattack #Build by scons
	rm -f ./Game/blockattack #build by this
	
#makeinstall and install doesn't work, gfx dictory doesn't get copied!
#makeinstall:	
#	@echo "Removing old files (if they exists)"
#	@rm -f *.o
#	@rm -f ./Game/blockattack
#	@rm -f ./Game/starter
#	@rm -f ./Game/runme.sh
#	@echo "Done deleting files"
#	@echo "Now compiling..."
#	@make -f block.make
#	@g++ starter2.cpp -o ./Game/starter
#	@echo "Everything has been compiled!"
#	@echo "Creating installation dirs..."
#	@mkdir -p $(PREF)$(INST)
#	@echo "Dir has been created"
#	@echo "Now copying files"
#	@cp -P -f -r ./Game/* $(PREF)$(INST)
#	@echo "Files have been copied"
#	@chmod +r $(PREF)$(INST) -R
#	@echo "Now creating a runable sh file called runme.sh"
#	@touch $(PREF)$(INST)/runme.sh
#	@echo "pushd $(PREF)$(INST)" >> $(PREF)$(INST)/runme.sh 
#	@echo "./blockattack" >> $(PREF)$(INST)/runme.sh
#	@echo "popd" >> $(PREF)$(INST)/runme.sh 
#	@echo "File created, now setting +x permission to it"
#	@chmod +x $(PREF)$(INST)/runme.sh
#	@echo "Mow creating static links to runme.sh"
#	@ln -fs $(PREF)$(INST)/runme.sh $(PREF)/bin/blockattack
#	@echo "Links have been created"
#	@echo "Block Attack - Rise of the Blocks have been installed!"
#	@echo "Type 'blockattack' to run the game"
	
#install:	
#	@echo "Everything must have been compiled"
#	@echo "Creating installation dirs..."
#	@mkdir -p $(PREF)$(INST)
#	@echo "Dir has been created"
#	@echo "Now copying files"
#	@cp -P -f -r ./Game/* $(PREF)$(INST)
#	@cp -P -f ./blockattack.xpm /usr/share/pixmaps
#	@cp -P -f ./blockattack.desktop /usr/share/applications
#	@echo "Files have been copied, giving all users read permission"
#	@chmod +r $(PREF)$(INST) -R
#	@echo "Now creating a runable sh file called runme.sh"
#	@rm -f $(PREF)$(INST)/runme.sh
#	@touch $(PREF)$(INST)/runme.sh
#	@echo "pushd $(PREF)$(INST)" >> $(PREF)$(INST)/runme.sh 
#	@echo "./blockattack" >> $(PREF)$(INST)/runme.sh
#	@echo "popd" >> $(PREF)$(INST)/runme.sh 
#	@echo "File created, now setting +x permission to it"
#	@chmod +x $(PREF)$(INST)/runme.sh
#	@echo "Mow creating static links to runme.sh"
#	@ln -fs $(PREF)$(INST)/runme.sh $(PREF)/bin/blockattack
#	@echo "Links have been created"
#	@echo "Block Attack - Rise of the Blocks have been installed!"
#	@echo "Type 'blockattack' to run the game"

#remove:
#	@echo "Removing: Block Attack - Rise of the Blocks"
#	@rm $(PREF)$(INST) -R
#	@echo "Data files has been removed!"
#	@echo "Removing links..."
#	@rm $(PREF)/bin/blockattack
#	@rm /usr/share/pixmaps/blockattack.xpm
#	@rm /usr/share/applications/blockattack.desktop
#	@echo "All installed files has been removed"

=== SConstruct ===
# Option      #
opts = Options(args = ARGUMENTS)
opts.Add('destdir', 'Staging area to install BlockAttack to.  Useful for packagers.', '')
opts.Add('prefix', 'Destination directory', '/usr/local')
opts.Add('sharedir', 'Directory to use to store data file', '$prefix/share/blockattack')
opts.Add('bindir', 'Directory to use to store data file', '$prefix/bin')
opts.Add('mandir', 'Directory to use to store data file', '$prefix/share/man')

# Copy Build Environment #
env = Environment(options = opts)
Export("env")
SConsignFile()

# Sources #
SConscript('source/code/SConscript')

# game materials (sharefiles)
SConscript('Game/SConscript')

# manpage
SConscript('man/SConscript')
# icons menu
env.Install ('$destdir/$prefix/share/pixmaps/',['blockattack32.xpm','blockattack64.xpm'])
env.Alias('install', ['$destdir/$prefix/share/pixmaps/'])

env.Install ('$destdir/$prefix/share/applications/',['blockattack.desktop'])
env.Alias('install', ['$destdir/$prefix/share/applications'])

=== source/code/Makefile ===
GAMEDIR=../../Game/

BINARY=$(GAMEDIR)blockattack

ifndef CC
CC=gcc
endif

ifdef CROSS
CXX=$(CROSS)g++
endif

BASE_CFLAGS=-c $(shell $(CROSS)sdl-config --cflags)

ifndef BUILDDIR
BUILDDIR=build
endif

BASE_LIBS=$(shell $(CROSS)sdl-config --libs) $(shell $(CROSS)pkg-config SDL_image SDL_mixer SDL_ttf --libs) 

#For developement only 
ifndef DEBUG
DEBUG=0
endif

ifndef NETWORK
NETWORK=1
endif

#Compile with debug information or optimized.
ifeq ($(DEBUG),1)
BASE_CFLAGS += -g -DDEBUG=1 -Wall
else
BASE_CFLAGS += -O3 
endif

ifeq ($(NETWORK),1)
BASE_CFLAGS += -DNETWORK=1
BASE_LIBS += -lenet
else
BASE_CFLAGS += -DNETWORK=0
endif

ifeq ($(CROSS),i686-pc-mingw32-)
BASE_LIBS += -lws2_32
endif

BASE_LIBS += -lphysfs

OFILES=main.o highscore.o ReadKeyboard.o joypad.o listFiles.o replay.o common.o stats.o SFont.o

ifeq ($(CROSS),i686-pc-mingw32-)
OFILES += winicon.res
BINARY := $(BINARY).exe
endif

$(BINARY): 	$(OFILES)
	$(CXX) -O -o $(BINARY) $(OFILES) $(BASE_LIBS)
#-lphysfs

winicon.res:	winicon.rc
	$(CROSS)windres winicon.rc -O coff -o winicon.res

%.o : %.cpp
	$(CXX) -MD ${BASE_CFLAGS} -o $@ $<
	@mkdir -p .$(CROSS)deps/ ; cp $*.d .$(CROSS)deps/$*.P; \
             sed -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
                 -e '/^$$/ d' -e 's/$$/ :/' < $*.d >> .$(CROSS)deps/$*.P; \
             rm -f $*.d

-include .$(CROSS)deps/*.P


run: $(BINARY)
	cd $(GAMEDIR) && ./blockattack

clean:
	rm *.o */*.P; rm -rf .$(CROSS)deps;

=== debian/changelog ===
blockattack (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Move the package to Git. Update Vcs-* fields accordingly.

 -- Markus Koschany <apo@debian.org>  Thu, 07 Jan 2016 08:40:17 +0100

blockattack (1.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Acknowledge NMU by Jonathan Wiltshire. Thanks.
  * New upstream release. The upstream tarball is pristine now.
  * Rebuild against GCC-5. (Closes: #793219)
  * Remove README.source.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * debian/watch: Make the extension regex more flexible to detect the latest
    releases.
  * Update debian/copyright to copyright format 1.0.
  * Simplify get-orig-source.
  * Use old blockattack*.xpm icons from version 1.4.1 because the new icon
    Game/gfx/icon.png has a poorer resolution.
  * Remove debian/block_attack_manual.tex and use upstream's file instead.
  * debian/docs: Don't install README and adjust the path to AUTHORS file.
  * Update debian/blockattack.desktop. Add keywords and a comment in German.
    Use blockattack64.xpm because of the better resolution.
  * Drop all patches. Fixed upstream.
  * debian/menu: Use the absolute icon path to display the menu icon.
    (Closes: #726212)
  * Remove override for dh_installchangelogs because there is no changelog to
    install.
  * Update debian/clean file and ensure that the game can be built twice in a
    row.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Paul Wise ]
  * Drop gcc47.diff. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jan 2016 12:27:58 +0100

=== debian/control ===
Source: blockattack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 9),
 docbook-to-man,
 libenet-dev (>= 1.3.1),
 libphysfs-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 scons,
 texlive-binaries,
 texlive-latex-base,
 zip
Standards-Version: 3.9.6
Homepage: http://blockattack.sf.net
Vcs-Git: git://anonscm.debian.org/pkg-games/blockattack.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git

Package: blockattack
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: puzzle game inspired by Tetris
 Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
 for the Super Nintendo. The game is pretty action packed for a puzzle game :-)
 .
 Features:
  * Based on the classic "Tetris Attack" for the SNES
  * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
  Vs. Mode
  * 2 two player options: Time Trial and Vs. Mode
  * Puzzle mode has 20+ puzzles
  * Players can use a custom key setup
  * Handicap in multiplayer
  * Highscores are saved
  * Joypad support
  * Music and sound effects
  * Animations
  * Select puzzle file from a list in the game
 .
 System requirements:
  * Screen resolution: 1024x768 (cannot be changed, but it can run in a window)
  * Keyboard
  * Mouse (optional)
  * Processor: Decent (tested on 733 MHz)
  * Memory: at least 64 MB

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	cp debian/icons/* .
	latex source/manual/block_attack_manual.tex
	dvipdfm block_attack_manual.dvi
	scons prefix=/usr sharedir=/usr/share/games/blockattack
	./packdata.sh

override_dh_auto_clean:
	scons -c

override_dh_auto_install:
	dh_installdirs
	find Game -type f -exec chmod 644 {} \;
	scons prefix=/usr \
		bindir=/usr/games \
		mandir=/usr/share/man \
		sharedir=/usr/share/games/blockattack \
		destdir=$(CURDIR)/debian/blockattack install

get-orig-source:
	uscan --download-current-version --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/blockattack/blockattack-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## blockattack 2.0.0

=== debian/changelog ===
blockattack (2.0.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:11:39 +0000

blockattack (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * The project moved to Github. Update debian/watch.
  * Imported Upstream version 2.0.0.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Switch from SDL1 to SDL2.
  * Remove libenet-dev from Build-Depends. Network mode is gone.
  * Switch from scons to cmake.
  * Add libboost-dev, libutfcpp-dev, libboost-program-options-dev,
    libjsoncpp-dev and SDL2 to Build-Depends.
  * Update debian/rules for new build system.
  * The manual has been removed. Drop latex build-dependencies.
  * Do not install the manual because it is gone.
  * Add install-path.patch and install locales into /usr/share but the game
    data into /usr/share/games.
  * Drop useless doc-base file.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * debian/menu: Fix icon path.
  * Remove icons directory and use upstream's icons.
  * Update debian/copyright for new release.
  * Add bad-whatis-entry.patch and fix the Lintian warning of the same name.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Jun 2016 20:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
+ cmake,
  debhelper (>= 9),
  docbook-to-man,
- libenet-dev (>= 1.3.1),
+ libboost-dev,
+ libboost-program-options-dev,
+ libjsoncpp-dev,
  libphysfs-dev,
- libsdl-image1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev,
- scons,
- texlive-binaries,
- texlive-latex-base,
+ libsdl2-dev,
+ libsdl2-image-dev,
+ libsdl2-mixer-dev,
+ libsdl2-ttf-dev,
+ libutfcpp-dev,
  zip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://blockattack.sf.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/blockattack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
 
 Package: blockattack

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DINSTALL_BIN_DIR=/usr/games \
		-DINSTALL_DATA_DIR=/usr/share/games/blockattack

override_dh_auto_build:
	dh_auto_build
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	./packdata.sh

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes-2.0.0.txt

get-orig-source:
	uscan --download-current-version --force-download

## blockattack 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)
project (blockattack)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)

# Define install paths
set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Install executable in this directory")
set(INSTALL_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/blockattack" CACHE STRING "Install data to this directory")
set(INSTALL_MAN_DIR "/usr/share/man/man6" CACHE STRING "Install the man page to this directory")
set(INSTALL_APPLICATIONS_DIR "/usr/share/applications" CACHE STRING "Install the .desktop file to this directory")
set(INSTALL_ICONS_DIR "/usr/share/icons/hicolor" CACHE STRING "Install the icon in a subfolder in this directory")
set(INSTALL_LOCALE_DIR "${INSTALL_DATA_DIR}/locale/" CACHE STRING "Install translation to this dir")

# This sets up the exe icon for windows under mingw.
# Taken from https://hansonry.wordpress.com/2010/12/15/windows-application-icon-using-mingw-and-cmake/
set(RES_FILES "")
if(MINGW)
 set(RES_FILES "${blockattack_SOURCE_DIR}/source/code/winicon.rc")
 set(CMAKE_RC_COMPILER_INIT windres)
 ENABLE_LANGUAGE(RC)
 SET(CMAKE_RC_COMPILE_OBJECT
 "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
endif(MINGW)

if (WIN32)
SET(GUI_TYPE WIN32)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=i686")
endif()

if (NOT WIN32)
#The path to the data dir must be compiled into the binary
add_definitions(-DSHAREDIR=\"${INSTALL_DATA_DIR}\")
add_definitions(-DLOCALEDIR=\"${INSTALL_LOCALE_DIR}\")
endif()

#Compiler options
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")

#Setup SDL2
find_package(SDL2 REQUIRED)
include_directories(${SDL2_INCLUDE_DIR})

#Setup things that use pkg-config
find_package(PkgConfig REQUIRED)
pkg_search_module(SDL2MIXER REQUIRED SDL2_mixer)
pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)

find_package(Boost COMPONENTS program_options REQUIRED)

#Find all sources but one
file(GLOB SOURCES "source/code/*.cpp" "source/code/*/*.cpp" "source/code/Libs/*.c")
#I am still trying to get BlockGame to compile as a source file
#list(REMOVE_ITEM SOURCES "${blockattack_SOURCE_DIR}/source/code/BlockGame.cpp")

#Some messages to figure out what cmake does
message("${SOURCES}")
message("${CMAKE_EXE_LINKER_FLAGS}")

include_directories("source/code/Libs/include")

#building/compiling/linking
add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
target_link_libraries( blockattack ${SDL2_LIBRARY})
target_link_libraries( blockattack physfs jsoncpp)
target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
target_link_libraries( blockattack ${Boost_LIBRARIES} )
set_target_properties( blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)

#Installing
install(TARGETS blockattack RUNTIME DESTINATION ${INSTALL_BIN_DIR} )
install(FILES Game/blockattack.data DESTINATION ${INSTALL_DATA_DIR} )
install(FILES man/blockattack.6.gz DESTINATION ${INSTALL_MAN_DIR} )
install(FILES source/misc/blockattack.desktop DESTINATION ${INSTALL_APPLICATIONS_DIR} )
install(FILES source/misc/icons/blockattack16.xpm DESTINATION "${INSTALL_ICONS_DIR}/16x16/apps" RENAME blockattack.xpm )
install(FILES source/misc/icons/blockattack48.xpm DESTINATION "${INSTALL_ICONS_DIR}/48x48/apps" RENAME blockattack.xpm )
install(FILES source/misc/icons/blockattack128.xpm DESTINATION "${INSTALL_ICONS_DIR}/128x128/apps" RENAME blockattack.xpm )
install(FILES source/misc/icons/blockattack256.xpm DESTINATION "${INSTALL_ICONS_DIR}/256x256/apps" RENAME blockattack.xpm )
install(FILES source/misc/icons/blockattack64.xpm DESTINATION "${INSTALL_ICONS_DIR}/64x64/apps" RENAME blockattack.xpm )
install(FILES source/misc/icons/blockattack32.xpm DESTINATION "${INSTALL_ICONS_DIR}/32x32/apps" RENAME blockattack.xpm )
install(DIRECTORY source/misc/translation/locale/ DESTINATION "${INSTALL_LOCALE_DIR}")

=== debian/changelog ===
blockattack (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.1.
  * Install ReleaseNotes-2.0.1.txt as upstream changelog.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Oct 2016 16:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -18,7 +18,7 @@
 	./packdata.sh
 
 override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.0.0.txt
+	dh_installchangelogs ReleaseNotes-2.0.1.txt
 
 get-orig-source:
 	uscan --download-current-version --force-download

## blockattack 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,20 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
+SET(CPACK_PACKAGE_VERSION "2.1.2")
+SET(CPACK_PACKAGE_VERSION_MAJOR "2")
+SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
+SET(CPACK_PACKAGE_VENDOR "Poul Sander")
+INCLUDE(CPack)
+
 # Define install paths
-set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Install executable in this directory")
-set(INSTALL_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/blockattack" CACHE STRING "Install data to this directory")
-set(INSTALL_MAN_DIR "/usr/share/man/man6" CACHE STRING "Install the man page to this directory")
-set(INSTALL_APPLICATIONS_DIR "/usr/share/applications" CACHE STRING "Install the .desktop file to this directory")
-set(INSTALL_ICONS_DIR "/usr/share/icons/hicolor" CACHE STRING "Install the icon in a subfolder in this directory")
+set(INSTALL_BIN_DIR "bin" CACHE STRING "Install executable in this directory")
+set(INSTALL_DATA_DIR "share/blockattack" CACHE STRING "Install data to this directory")
+set(INSTALL_MAN_DIR "share/man/man6" CACHE STRING "Install the man page to this directory")
+set(INSTALL_APPLICATIONS_DIR "share/applications" CACHE STRING "Install the .desktop file to this directory")
+set(INSTALL_ICONS_DIR "share/icons/hicolor" CACHE STRING "Install the icon in a subfolder in this directory")
 set(INSTALL_LOCALE_DIR "${INSTALL_DATA_DIR}/locale/" CACHE STRING "Install translation to this dir")
 
 # This sets up the exe icon for windows under mingw.
@@ -29,12 +37,12 @@
 
 if (NOT WIN32)
 #The path to the data dir must be compiled into the binary
-add_definitions(-DSHAREDIR=\"${INSTALL_DATA_DIR}\")
-add_definitions(-DLOCALEDIR=\"${INSTALL_LOCALE_DIR}\")
+add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
+add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
 endif()
 
 #Compiler options
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")
 
@@ -60,11 +68,12 @@
 message("${CMAKE_EXE_LINKER_FLAGS}")
 
 include_directories("source/code/Libs/include")
+include_directories("source/code/Libs/include/cereal/external")  #Contains rapidjson
 
 #building/compiling/linking
 add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
 target_link_libraries( blockattack ${SDL2_LIBRARY})
-target_link_libraries( blockattack physfs jsoncpp)
+target_link_libraries( blockattack physfs)
 target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
 target_link_libraries( blockattack ${Boost_LIBRARIES} )
 set_target_properties( blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)

=== debian/changelog ===
blockattack (2.1.2-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:13 +0000

blockattack (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.2.
  * Declare compliance with Debian Policy 4.0.1.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 16:57:43 +0200

blockattack (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.1.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file.
  * Use https for Format field.
  * Drop bad-whatis-entry.patch. Merged upstream.
  * Refresh install-path.patch.
  * Drop libjsoncpp-dev from Build-Depends.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Jun 2017 17:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
- libjsoncpp-dev,
  libphysfs-dev,
  libsdl2-dev,
  libsdl2-image-dev,
@@ -18,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DINSTALL_BIN_DIR=/usr/games \
-		-DINSTALL_DATA_DIR=/usr/share/games/blockattack
+		-DINSTALL_DATA_DIR=share/games/blockattack
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,7 +18,7 @@
 	./packdata.sh
 
 override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.0.1.txt
+	dh_installchangelogs ReleaseNotes-2.1.1.txt
 
 get-orig-source:
 	uscan --download-current-version --force-download

## blockattack 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.1.2")
+SET(CPACK_PACKAGE_VERSION "2.3.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "1")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_MINOR "3")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
 INCLUDE(CPack)
@@ -35,7 +35,7 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=i686")
 endif()
 
-if (NOT WIN32)
+if (NOT WIN32 AND NOT STANDALONE)
 #The path to the data dir must be compiled into the binary
 add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
 add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
@@ -45,6 +45,9 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")
+
+#Newer versions of gcc fails for Cereal.
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-implicit-fallthrough")
 
 #Setup SDL2
 find_package(SDL2 REQUIRED)

=== debian/changelog ===
blockattack (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Jul 2018 08:14:24 +0200

blockattack (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Mon, 04 Jun 2018 22:53:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
@@ -17,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.0.1
+Standards-Version: 4.1.5
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,5 @@
 	cp debian/blockattack.desktop .
 	./packdata.sh
 
-override_dh_installchangelogs:
-	dh_installchangelogs ReleaseNotes-2.1.1.txt
-
 get-orig-source:
 	uscan --download-current-version --force-download

## blockattack 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.3.0")
+SET(CPACK_PACKAGE_VERSION "2.5.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
+SET(CPACK_PACKAGE_VERSION_MINOR "5")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -18,6 +18,7 @@
 set(INSTALL_APPLICATIONS_DIR "share/applications" CACHE STRING "Install the .desktop file to this directory")
 set(INSTALL_ICONS_DIR "share/icons/hicolor" CACHE STRING "Install the icon in a subfolder in this directory")
 set(INSTALL_LOCALE_DIR "${INSTALL_DATA_DIR}/locale/" CACHE STRING "Install translation to this dir")
+set(INSTALL_METAINFO_DIR "share/metainfo" CACHE STRING "Install appstream matedata to this directory")
 
 # This sets up the exe icon for windows under mingw.
 # Taken from https://hansonry.wordpress.com/2010/12/15/windows-application-icon-using-mingw-and-cmake/
@@ -31,8 +32,11 @@
 endif(MINGW)
 
 if (WIN32)
-SET(GUI_TYPE WIN32)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=i686")
+      SET(GUI_TYPE WIN32)
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=i686")
+	if(NOT _WIN32_WINNT AND NOT WINVER)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_WIN32_WINNT=0x0601 -DWINVER=0x0601")
+	endif()
 endif()
 
 if (NOT WIN32 AND NOT STANDALONE)
@@ -86,6 +90,7 @@
 install(FILES Game/blockattack.data DESTINATION ${INSTALL_DATA_DIR} )
 install(FILES man/blockattack.6.gz DESTINATION ${INSTALL_MAN_DIR} )
 install(FILES source/misc/blockattack.desktop DESTINATION ${INSTALL_APPLICATIONS_DIR} )
+install(FILES source/misc/net.blockattack.game.metainfo.xml DESTINATION ${INSTALL_METAINFO_DIR} )
 install(FILES source/misc/icons/blockattack16.xpm DESTINATION "${INSTALL_ICONS_DIR}/16x16/apps" RENAME blockattack.xpm )
 install(FILES source/misc/icons/blockattack48.xpm DESTINATION "${INSTALL_ICONS_DIR}/48x48/apps" RENAME blockattack.xpm )
 install(FILES source/misc/icons/blockattack128.xpm DESTINATION "${INSTALL_ICONS_DIR}/128x128/apps" RENAME blockattack.xpm )

=== debian/changelog ===
blockattack (2.5.0-2) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Fix FTBFS with recent SDL2 packages (Closes: #951943)
  * d/.gitignore: Do not ignore *.patch in this directory.
    Override upstream's .gitignore, because we want to track quilt patches
    in git.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Thu, 27 Feb 2020 13:31:19 +0100

blockattack (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.0.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Aug 2019 12:11:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,
@@ -17,10 +17,10 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://blockattack.sf.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/blockattack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/blockattack.git
+Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
+Vcs-Browser: https://salsa.debian.org/games-team/blockattack
 
 Package: blockattack
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/blockattack-game-$1\.tar\.gz/ \
  https://github.com/blockattack/blockattack-game/tags .*/v?(\d\S*)\.tar\.gz

## blockattack 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.5.0")
+SET(CPACK_PACKAGE_VERSION "2.6.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "5")
+SET(CPACK_PACKAGE_VERSION_MINOR "6")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -40,9 +40,17 @@
 endif()
 
 if (NOT WIN32 AND NOT STANDALONE)
-#The path to the data dir must be compiled into the binary
-add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
-add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
+	#The path to the data dir must be compiled into the binary
+	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
+		add_definitions(-DSHAREDIR=\"${INSTALL_DATA_DIR}\")
+	else()
+		add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
+	endif()
+	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
+		add_definitions(-DLOCALEDIR=\"${INSTALL_LOCALE_DIR}\")
+	else()
+		add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
+	endif()
 endif()
 
 #Compiler options
@@ -62,6 +70,10 @@
 pkg_search_module(SDL2MIXER REQUIRED SDL2_mixer)
 pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
 pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)
+
+include_directories(${SDL2MIXER_INCLUDE_DIRS})
+include_directories(${SDL2IMAGE_INCLUDE_DIRS})
+include_directories(${SDL2TTF_INCLUDE_DIRS})
 
 find_package(Boost COMPONENTS program_options REQUIRED)

=== debian/changelog ===
blockattack (2.6.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 28 Oct 2020 13:47:53 -0400

blockattack (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.0.
  * Switch to debhelper-compat = 13.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Sep 2020 16:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: blockattack
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-to-man,
  libboost-dev,
  libboost-program-options-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -16,6 +19,3 @@
 	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
 	cp debian/blockattack.desktop .
 	./packdata.sh
-
-get-orig-source:
-	uscan --download-current-version --force-download

## blockattack 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-cmake_minimum_required(VERSION 2.8.7)
+cmake_minimum_required(VERSION 3.5.1...3.18.4)
 project (blockattack)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${blockattack_SOURCE_DIR}/source/misc/cmake")
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.6.0")
+SET(CPACK_PACKAGE_VERSION "2.7.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "6")
+SET(CPACK_PACKAGE_VERSION_MINOR "7")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -58,12 +57,9 @@
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")
 
-#Newer versions of gcc fails for Cereal.
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-implicit-fallthrough")
-
 #Setup SDL2
 find_package(SDL2 REQUIRED)
-include_directories(${SDL2_INCLUDE_DIR})
+include_directories(${SDL2_INCLUDE_DIRS})
 
 #Setup things that use pkg-config
 find_package(PkgConfig REQUIRED)
@@ -91,7 +87,7 @@
 
 #building/compiling/linking
 add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
-target_link_libraries( blockattack ${SDL2_LIBRARY})
+target_link_libraries( blockattack ${SDL2_LIBRARIES})
 target_link_libraries( blockattack physfs)
 target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
 target_link_libraries( blockattack ${Boost_LIBRARIES} )
@@ -103,10 +99,10 @@
 install(FILES man/blockattack.6.gz DESTINATION ${INSTALL_MAN_DIR} )
 install(FILES source/misc/blockattack.desktop DESTINATION ${INSTALL_APPLICATIONS_DIR} )
 install(FILES source/misc/net.blockattack.game.metainfo.xml DESTINATION ${INSTALL_METAINFO_DIR} )
-install(FILES source/misc/icons/blockattack16.xpm DESTINATION "${INSTALL_ICONS_DIR}/16x16/apps" RENAME blockattack.xpm )
-install(FILES source/misc/icons/blockattack48.xpm DESTINATION "${INSTALL_ICONS_DIR}/48x48/apps" RENAME blockattack.xpm )
-install(FILES source/misc/icons/blockattack128.xpm DESTINATION "${INSTALL_ICONS_DIR}/128x128/apps" RENAME blockattack.xpm )
-install(FILES source/misc/icons/blockattack256.xpm DESTINATION "${INSTALL_ICONS_DIR}/256x256/apps" RENAME blockattack.xpm )
-install(FILES source/misc/icons/blockattack64.xpm DESTINATION "${INSTALL_ICONS_DIR}/64x64/apps" RENAME blockattack.xpm )
-install(FILES source/misc/icons/blockattack32.xpm DESTINATION "${INSTALL_ICONS_DIR}/32x32/apps" RENAME blockattack.xpm )
+install(FILES source/misc/icons/blockattack16.png DESTINATION "${INSTALL_ICONS_DIR}/16x16/apps" RENAME blockattack.png )
+install(FILES source/misc/icons/blockattack48.png DESTINATION "${INSTALL_ICONS_DIR}/48x48/apps" RENAME blockattack.png )
+install(FILES source/misc/icons/blockattack128.png DESTINATION "${INSTALL_ICONS_DIR}/128x128/apps" RENAME blockattack.png )
+install(FILES source/misc/icons/blockattack256.png DESTINATION "${INSTALL_ICONS_DIR}/256x256/apps" RENAME blockattack.png )
+install(FILES source/misc/icons/blockattack64.png DESTINATION "${INSTALL_ICONS_DIR}/64x64/apps" RENAME blockattack.png )
+install(FILES source/misc/icons/blockattack32.png DESTINATION "${INSTALL_ICONS_DIR}/32x32/apps" RENAME blockattack.png )
 install(DIRECTORY source/misc/translation/locale/ DESTINATION "${INSTALL_LOCALE_DIR}")

=== debian/changelog ===
blockattack (2.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

  [ Markus Koschany ]
  * New upstream version 2.7.0.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Nov 2021 23:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blockattack
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
@@ -18,7 +17,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://blockattack.sf.net
 Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
 Vcs-Browser: https://salsa.debian.org/games-team/blockattack
